Subject: [PATCH] ulpi: add i.MX25 & 35 internal PHY ID

From: [email-masked] (Eric Bénard)
Date: Tue, 05 Oct 2010 17:50:39 +0200

Hi Igor,

Le 05/10/2010 17:42, Igor Grinberg a ?crit :
>> In fact, that's my fault, the internal PHY is not ULPI but UTMI so we should not use these functions here and it was working until now by chance as there are dedicated registers to control the internal PHY which are initialized with the right values as a default.
>
> Too bad... I hope, I was useful in your discovery...
>
yes as your patch would have worked if this was really an ULPI PHY ;-)
>>
>> Sorry for the noise and forget my patch which is wrong, I'll rework the platform data as in the present case we should not provide use ulpi when using the internal PHY.
>
> OK.
> Nevertheless, I want to resend a version of my patch properly.
> It proves useful after all...
> Any comments/suggestions will be appreciated.
>
I'll test it asap on other platforms really having ULPI.

Thanks
Eric